#
# spec file for package tracker-miners
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tracker-miners
Version:        2.2.1
Release:        1.1
Summary:        Various miners for Tracker
License:        GPL-2.0-or-later
Group:          System/GUI/GNOME
URL:            https://wiki.gnome.org/Projects/Tracker
Source0:        https://download.gnome.org/sources/tracker-miners/2.2/%{name}-%{version}.tar.xz

BuildRequires:  giflib-devel
BuildRequires:  intltool >= 0.40.0
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(enca) >= 1.9
BuildRequires:  pkgconfig(exempi-2.0) >= 2.1.0
BuildRequires:  pkgconfig(flac) >= 1.2.1
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 0.10.31
BuildRequires:  pkgconfig(icu-i18n) >= 4.8.1.1
BuildRequires:  pkgconfig(icu-uc) >= 4.8.1.1
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libcue)
BuildRequires:  pkgconfig(libexif) >= 0.6
BuildRequires:  pkgconfig(libgrss) >= 0.7
BuildRequires:  pkgconfig(libgsf-1) >= 1.14.24
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libosinfo-1.0) >= 0.2.9
BuildRequires:  pkgconfig(libseccomp) >= 2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:  pkgconfig(taglib_c) >= 1.6
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  pkgconfig(tracker-miner-2.0) >= 2.2.0
BuildRequires:  pkgconfig(tracker-sparql-2.0) >= 2.2.0
BuildRequires:  pkgconfig(upower-glib) >= 0.9.0
BuildRequires:  pkgconfig(vorbisfile) >= 0.22
Recommends:     %{name}-lang
# The schema files moved from libtracker-common to tracker-miners
Conflicts:      libtracker-common-1_0 < 1.99
# Make sure tracker is being updated to 1.99 too
Conflicts:      tracker < 1.99

%description
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

These are the sources for the various miners (e.g. files, rss)

%package -n tracker-miner-files
Summary:        Tracker miner to index files and applications
Group:          System/GUI/GNOME
Requires:       %{name} >= %{version}

%description -n tracker-miner-files
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

This package contains a miner to index files and applications.

%package -n tracker-miner-rss
Summary:        Tracker miner to index ATOM and RSS feeds
Group:          System/GUI/GNOME
Requires:       %{name} >= %{version}

%description -n tracker-miner-rss
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

This package contains a miner to index ATOM and RSS feeds.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	-Dfunctional_tests=false \
	-Dsystemd_user_services=%{_userunitdir} \
	%{nil}
%meson_build

%install
%meson_install
%find_lang %{name}

%files
%license COPYING
%doc README
%{_libexecdir}/tracker-extract
%{_libexecdir}/tracker-writeback
%{_mandir}/man1/tracker-extract.1%{ext_man}
%{_mandir}/man1/tracker-writeback.1%{ext_man}
%dir %{_datadir}/tracker
%dir %{_datadir}/tracker/miners
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.Extract.service
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Writeback.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.TrackerMiners.enums.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Extract.gschema.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Writeback.gschema.xml
%{_datadir}/%{name}/
%{_userunitdir}/tracker-extract.service
%{_userunitdir}/tracker-writeback.service
%{_sysconfdir}/xdg/autostart/tracker-extract.desktop
%dir %{_libdir}/tracker-miners-2.0
%{_libdir}/tracker-miners-2.0/extract-modules/
%{_libdir}/tracker-miners-2.0/writeback-modules/
%{_libdir}/tracker-miners-2.0/libtracker-extract.so
%{_libdir}/tracker-miners-2.0/libtracker-miners-common.so

%files -n tracker-miner-files
%{_libexecdir}/tracker-miner-fs
%{_mandir}/man1/tracker-miner-fs.1%{ext_man}
%{_userunitdir}/tracker-miner-fs.service
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Miner.Files.gschema.xml
%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop

%files -n tracker-miner-rss
%{_sysconfdir}/xdg/autostart/tracker-miner-rss.desktop
%{_libexecdir}/tracker-miner-rss
%{_userunitdir}/tracker-miner-rss.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.RSS.service
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.RSS.service
%{_mandir}/man1/tracker-miner-rss.1%{ext_man}

%files lang -f %{name}.lang

%changelog
* Thu Mar  7 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 2.2.1:
  + Whitelist syscall fadvise64_64.
  + Many fixes to functional tests.
  + Fix failed functional tests being reported as successful.
  + Updated translations.
* Mon Feb 25 2019 bjorn.lie@gmail.com
- Update to version 2.2.0:
  + Disable guarantee_metadata by default. It was the case on
    autotools.
  + Stop merging translations to schema files.
  + Test suite improvements.
  + Meson build improvements.
  + The functionality of tracker-miner-apps has been adopted by
    tracker-miner-fs/tracker-extract.
  + All usage of deprecated TrackerSparqlBuilder is gone.
  + Fixes to desktop file indexing.
  + Multiple build and compile warning fixes.
  + Many test improvements and cleanups.
  + The functionality of tracker-miner-apps has been adopted by
    tracker-miner-fs/tracker-extract.
  + Updated tracker-miner-fs and tracker-miner-rss to use
    TrackerResource.
  + Support for building through autotools has been removed.
  + Plugged several leaks.
  + Other many build and code cleanups and fixes.
  + Updated translations.
- Switch to meson build system, remove all conditionals for meson
  and remove all traces of autotools support.
- Drop tracker-miners-private.patch: finally fixed upstream
  (probably by accident, but well).
- Add pkgconfig(gexiv2), pkgconfig(libavcodec),
  pkgconfig(libavformat) and pkgconfig(libavutil) BuildRequires:
  New dependencies, all optional except gexiv2.
* Sun Feb 24 2019 bjorn.lie@gmail.com
- Update to version 2.1.6:
  + Multiple meson build fixes.
  + Test fixes.
  + Updated translations.
* Wed Sep 26 2018 bjorn.lie@gmail.com
- Update to version 2.1.5:
  + Fix several leaks.
  + Ensure utf8ness in
    tracker_guarantee_resource_title_from_file().
  + Updated translations.
* Tue Sep  4 2018 bjorn.lie@gmail.com
- Update to version 2.1.4:
  + Updated translations.
- Changes from version 2.1.3:
  + Unbreak watch on domain ontology owner. Fixes miners spuriously
    exiting.
* Sat Sep  1 2018 bjorn.lie@gmail.com
- Update to version 2.1.2:
  + Allow use of domain rules outside prefix.
  + Add core-as-subproject as explicit meson option.
  + Ensure utf8ness in TrackerResource helpers.
  + Fix multiple cardinality issues in different
    extractors/properties.
  + Other minor SPARQL correctness fixes.
  + Updated translations.
* Thu Aug 16 2018 bjorn.lie@gmail.com
- Update to version 2.1.1:
  + tracker-miner-fs: Ignore mercurial repositories.
  + build: Fix build with -Werror=format-security.
  + tracker-extract:
  - Ensure metadata strings are UTF-8 in JPEG/PNG extractors.
  - Do not add named destinations to PDF TOCs.
  - Ignore XMP image metadata on PDFs.
  - Fix ISO 8601 date string generation on gstreamer extractor.
  + Updated translations.
* Tue Jul 24 2018 bjorn.lie@gmail.com
- Update to version 2.1.0:
  + tests: Many updates and fixes to functional tests.
  + tracker-extract: Better infrastructure for tests, based on
    JSON-LD.
  + tracker-miner-fs: Restart tracker extract from the right
    domain.
  + tracker-extract: Persistently avoid files that trigger
    recoverable errors, to avoid log spamming on restarts.
  + Updated translations.
* Tue Jun 26 2018 luc14n0@linuxmail.org
- Update to version 2.0.5:
  + tracker-extract: Made daemon able to shutdown on inactivity,
    lifetime will be managed by tracker-miner-fs.
  + tracker-stract: Fixes in generated SPARQL for geolocation data.
  + Updated translations.
- Replace libjpeg-devel BuildRequires with pkgconfig(libjpeg): now
  configure looks for the pkgconfig module instead.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Feb  7 2018 bjorn.lie@gmail.com
- Update to version 2.0.4:
  + build: Allow building tracker repo as a meson subproject.
  + libtracker-common: Rename to libtracker-miners-common.
  + libtracker-miners-common: Whitelist arm_fadvise64_64, getegid
    and getegid32 syscalls.
  + tracker-extract:
  - Add GExiv2-based extractor module for RAW files.
  - Blacklist gstreamer modules via plugin instead of via
    feature.
  - Blacklist video4linux2 gstreamer plugin.
  - Use enumerations for EXIF values.
  - Fix image pixel density conversions.
  + tracker-miner-fs: Avoid setting rdf:types on empty files.
  + meson: dependency check fixes.
  + Updated translations.
- Drop tracker-miners-nb-translations.patch: Fixed upstream.
* Sat Jan  6 2018 zaitor@opensuse.org
- Add tracker-miners-nb-translations.patch: Update Norwegian Bokmål
  translations.
* Thu Nov 16 2017 luc14n0@linuxmail.org
- Update to version 2.0.3:
  + meson: Multiple cleanups and fixes.
  + tracker-extract: Do not overwrite nie:dataSource.
- Update Url to https://wiki.gnome.org/Projects/Tracker: current
  Tracker's web page.
* Fri Oct  6 2017 zaitor@opensuse.org
- Update to version 2.0.2:
  + tracker-miner-fs: Fix initialization when there's a startup
    timeout.
  + tracker-extract: Don't store 0-length strings on MSOffice
    metadata.
  + Updated translations.
* Thu Oct  5 2017 dimstar@opensuse.org
- Update to version 2.0.1:
  + tracker-miner-apps: Ignore broken .desktop file symlinks.
  + tracker-miner-fs: Ignore non-native mounts.
  + tracker-extract: Fix insertion of white balance values in
    images.
  + Compile warnings and Coverity issue fixes.
  + Fix srcdir!=builddir builds.
- Drop tracker-miners-tracker-extract-fixes.patch: fixed upstream.
* Sat Sep 23 2017 zaitor@opensuse.org
- Add tracker-miners-tracker-extract-fixes.patch: Fix various bugs
  in tracker-extract (bgo#785853, bgo#787774).
* Tue Sep 12 2017 dimstar@opensuse.org
- Update to version 2.0.0:
  + Tracker shall from now on use semantic versioning.
  + autotools/meson cleanups.
  + Updated translations.
* Wed Sep  6 2017 dimstar@opensuse.org
- Add releavant conflicts to ease upgrades from old tracker
  versions: tracker and libtracker-common-1_0: Various files moved
  from to tracker-miners.
* Tue Aug 22 2017 zaitor@opensuse.org
- Update to version 1.99.3:
  + Add more assertions to testcases (CIDs 162185, 162186,
    162188–162191).
  + Protect further the MP3 parser against out-of-bounds reads
    (CID #162187).
  + Fixed typos, and other code and build improvements.
  + Updated translations.
* Tue Aug 15 2017 dimstar@opensuse.org
- Initial package, version 1.99.2:
  + Tracker-miners has been split out from tracker.
